#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

int main()
{
    int m,xi,yi,z,zm;
    cin>>m;
    vector <int> x(m);
    vector <int> y(m);
    vector <int> zml(m);
    
    for (int i=0; i<m; i++){
        cin>>xi>>yi;
        x[i]=xi;
        y[i]=yi;
        zm=0;
        for (int j=0; j<i+1; j++){
            z=0;
            for (int m=0; m<i+1; m++){
                z+=abs(x[m]-x[j])*abs(y[m]-y[j]);
            }
            if (z>zm){
                zm=z;
            }
        }
        zml[i]=zm;
    }
    
    for (int i=0; i<m; i++){
        cout<<zml[i]<<endl;
    }

    return 0;
}